%define	upstream_name	 Class-MethodMaker
%define upstream_version 2.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Create generic methods for OO Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
This module solves the problem of having to write a bazillion
get/set methods that are all the same. The argument to 'use'
is a hash whose keys are the names of types of generic
methods generated by MethodMaker and whose values tell method
maker what methods to make. (More precisely, the keys are the
names of MethodMaker methods (methods that write methods) and
the values are the arguments to those methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/0-signature.t # debug files make it fails

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorarch}/Class
%{perl_vendorarch}/auto/Class
%{_mandir}/*/*


%changelog
* Mon Jun 06 2022 umeabot <umeabot> 2.240.0-15.mga9
+ Revision: 1861603
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.240.0-14.mga9
+ Revision: 1795547
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.240.0-13.mga9
+ Revision: 1726417
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.240.0-12.mga8
+ Revision: 1594344
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.240.0-11.mga8
+ Revision: 1528978
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 2.240.0-10.mga8
+ Revision: 1432788
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.240.0-9.mga7
+ Revision: 1292472
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 2.240.0-8.mga7
+ Revision: 1248964
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.240.0-7.mga7
+ Revision: 1163376
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.240.0-6.mga7
+ Revision: 1148684
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.240.0-5.mga7
+ Revision: 1126642
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 2.240.0-4.mga6
+ Revision: 1023983
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.240.0-3.mga6
+ Revision: 956858
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.240.0-2.mga6
+ Revision: 844749
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 2.240.0-1.mga6
+ Revision: 841988
- New version 2.24 + Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 2.210.0-5.mga5
+ Revision: 746793
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.210.0-4.mga5
+ Revision: 732934
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.210.0-3.mga5
+ Revision: 683932
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.210.0-2.mga5
+ Revision: 630869
- Rebuild for perl 5.20

* Mon Mar 17 2014 jquelin <jquelin> 2.210.0-1.mga5
+ Revision: 604346
- update to 2.21

* Mon Feb 10 2014 jquelin <jquelin> 2.200.0-1.mga5
+ Revision: 588255
- update to 2.20

* Sat Oct 19 2013 umeabot <umeabot> 2.180.0-6.mga4
+ Revision: 524272
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.180.0-5.mga4
+ Revision: 430560
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.180.0-4.mga3
+ Revision: 364463
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.180.0-3.mga3
+ Revision: 250322
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.180.0-2.mga2
+ Revision: 103636
- perl 5.14

* Tue Apr 19 2011 jquelin <jquelin> 2.180.0-1.mga1
+ Revision: 88687
- update to 2.18

* Mon Mar 07 2011 jquelin <jquelin> 2.170.0-1.mga1
+ Revision: 65884
- update to 2.17

* Fri Jan 21 2011 jquelin <jquelin> 2.160.0-3.mga1
+ Revision: 29901
- mageia rebuild
- imported package perl-Class-MethodMaker

